using System.Threading.Tasks;
using System.Collections.Generic;
using ZhonTai.Admin.Core.Dto;
using NPP.SmartSchedue.Api.Contracts.Services.Personnel.Input;
using NPP.SmartSchedue.Api.Contracts.Services.Personnel.Output;

namespace NPP.SmartSchedue.Api.Contracts.Services.Personnel;

/// <summary>
/// 资质服务接口
/// </summary>
public interface IQualificationService
{
    Task<QualificationGetOutput> GetAsync(long id);

    Task<PageOutput<QualificationGetPageOutput>> GetPageAsync(PageInput<QualificationGetPageInput> input);

    Task<long> AddAsync(QualificationAddInput input);

    Task UpdateAsync(QualificationUpdateInput input);

    Task DeleteAsync(long id);

    Task SoftDeleteAsync(long id);

    Task BatchSoftDeleteAsync(long[] ids);
} 